# sedby_pagelist
Rendering page widgets anywhere

## Использование:

```html
{PHP|sedby_pagelist($tpl, $items, $order, $condition, $mode, $cats, $subs, $pagination, $noself, $offset)}
```

Назначение параметров (в скобках значение по умолчанию -- если не указано пользователем):
* $tpl указывает на имя шаблона (pagelist)
* $items указывает на количество выводимых записей (0 -- вывести все)
* $order указывает на сортировку в формате MYSQL, например `page_date ASC` (по умолчанию без сортировки)
* $condition указывает на условие в формате MYSQL, например, `page_ownerid = 1` (по умолчанию без условия)
* $mode указывает на режим выбора категорий (single, array, white, black)
* $cats указывает на категорию (категории) страниц (разделитель ; (точка с запятой))
* $subs указывает на необходимость вывода страниц из подразделов (по умолчанию FALSE) -- работает в любом из режимов $mode
* $pagination включает постраничный вывод и определяет имя переменной вывода постраничного списка (по умолчанию NULL)
* $noself указывает на необходимость мсключать из вывода страницу, из которой осуществляется запрос (по умолчанию FALSE)
* $offset указывает на необходимость сдвига, т.е. исключения определенного количества предстоящих страниц -- например, для вывода всех, кроме первой страницы (по умолчанию сдвиг отсутствует)
* $ajax_block TODO
* $cache_name TODO
* $cache_ttl TODO

### Подключение тегов USER_

По умолчанию данные теги отключены. Чтобы включить их используйте соответствующий переключатель в настройках плагина.

### Поддержка плагина Star Ratings

По умолчанию поддержка плагина отключена. Для ее включения используйте соответствующий переключатель в настройках плагина.

### Поддержка плагина Comments

Для использования тегов плагина Comments необходимо:
* подключить функции комментариев `require_once cot_incfile('comments', 'plug');`
* в блоке `PAGE_ROW` использовать конструкцию типа `{PAGE_ROW_ID|cot_comments_count('page', $this)|cot_declension($this, 'Comments')}`

## История:

вер. 3.30
1. Исправление ошибки паджинации в админке
2. Упростил вспомогательную функцию - генератор оператора WHERE
3. Коды категорий теперь необходимо указывать через запятую и брать в двойные кавычки
4. Чистка кода

вер. 3.00 
Очередная полуфинальная версия

вер. 2.02 
Исправление бага, связанного с генерацией user tags

вер. 2.01
Изменения по сравнению с первым релизом от Trustmaster):
1. Удалил опцию вывода количества комментариев -- проще делать это по месту при помощи конструкций вида {PAGE_ROW_ID|cot_comments_count('page', $this)|cot_declension($this, 'Comments')}
2. Опционизировал поддержку user tags (в некоторых проектах это не требовалось вообще)
3. Добавил поддержку i18n (в некоторых проектах требовалось)
4. Подчистил немного
5. Добавил поддержку Star Ratings (опционально, на всякий случай)
6. Добавил параметр `$offset`

===

## How to Use:
